TRANSMISSION-CLI(1)

NAME
transmission-cli - a bittorrent client

SYNOPSIS
transmission-cli -h
transmission-cli [-b | -B] [-d number | -D] [-er | -ep | -et] [-f script] [-g directory] [-h] [-m | -M] [-p port] [-t tos] [-u number | -U] [-v] [-w directory] torrent-file

DESCRIPTION
The transmission-cli program is a lightweight, command-line BitTorrent client with scripting capabilities.

The options are as follows:

-b --blocklist
    Enable peer blocklists. Transmission understands the bluetack blocklist file format. New blocklists can be added by copying them into the config-dir's "blocklists" subdirectory.

-B --no-blocklist
    Disble blocklists.

-d, --downlimit number
    Set the maximum download speed in KB/s

-D, --no-downlimit
    Don't limit the download speed

-er --encryption-required
    Encrypt all peer connections.

-ep --encryption-preferred
    Prefer encrypted peer connections.

-et --encryption-tolerated
    Prefer unencrypted peer connections.

-f, --finish script
    Set a script to run when the torrent finishes

-g, --config-dir directory
    Where to look for configuration files. This can be used to swap between using the cli, daemon, gtk, and qt clients. See http://trac.transmissionbt.com/wiki/ConfigFiles for more information.

-h, --help
    Prints a short usage summary.

-m, --portmap
    Enable portmapping via NAT-PMP or UPnP

-M, --no-portmap
    Disable portmapping

-n, --new sourcefile
    Create torrent from the specified file or directory

-p, --port port
    Set the port to listen for incoming peers. (Default: 51413)

-t, --tos tos
    Set the peer socket TOS for local router-based traffic shaping. Valid values are

    “default”, “lowcost”, “throughput”, “reliability”, “lowdelay”,

    a decimal value 0-255 or a hexidecimal value 0x00-0xff)

-u, --uplimit number
    Set the maximum upload speed in KB/s

-U, --no-uplimit
    Don't limit the upload speed

-v, --verify
    Verify the torrent's downloaded data.

-w, --download-dir directory
    Where to save downloaded data.

SIGNALS
In addition to these options, sending transmission-cli a SIGHUP signal will contact the tracker for more peers.

ENVIRONMENT

TRANSMISSION_HOME
    Sets the default config-dir.

http_proxy
    libcurl uses this environment variable when performing tracker announces.

FILES
~/.config/transmission
    Directory where transmission-cli keeps torrent information for future seeding and resume operations.

AUTHORS
The transmission-cli program was written by -nosplit Eric Petit, Josh Elsasser, Jordan Lee, and Mitchell Livingston.

SEE ALSO
transmission-create(1), transmission-daemon(1), transmission-edit(1), transmission-gtk(1), transmission-qt(1), transmission-remote(1), transmission-show(1)

http://www.transmissionbt.com/